What's wrong with "Mastering Enterprise JavaBeans"?

Discussions

EJB programming & troubleshooting: What's wrong with "Mastering Enterprise JavaBeans"?

  1. What's wrong with "Mastering Enterprise JavaBeans"? (3 messages)

    I bought this book. I will feel real regretful if I could not find the latter half of the source code. Where are they? The source code I downloaded here is only for the first 10 chapters. I sent emails to all the editor/bugreport addresses, rejected! all of them! Please help me if you know how to get the code!

    thanks!

    Jim
  2. Well, I bought that book too and found that the source code vociferously states that you can only use WebLogic 6.1. When you download the source, you see that it is based on WL6.1--which can no longer be downloaded from BEA.

       I sent an email to the author, to the MiddleWare company, to the publisher, etc. Never a response. I called them and talked to an analyst. He sounded surprised that the code was out of date.
       So, if you found that the first 10 chapters don't require WebLogic 6.1 but some later version, then it means that they are updating the source code. If not, then I have no explanation.
  3. Most of the time, you can change the configuration file like
    web.xml/ejb-jar.xml and etc .. to point to the correct DTD at the top and rebuild your codes with Ant. It should work. It worked for me when I ported some of the sample codes to WebLogic 7.
  4. Well, I am happy to report that my problem has been corrected. If you go to the page where the code download is available, you will see they have added a previously-unavailable link to download WebLogic6.1. So, code on!